Index: gcc/fortran/iresolve.c
===================================================================
--- gcc/fortran/iresolve.c	(revision 243826)
+++ gcc/fortran/iresolve.c	(working copy)
@@ -2604,7 +2604,7 @@ gfc_resolve_ftell (gfc_expr *f, gfc_expr
       gfc_convert_type (u, &ts, 2);
     }
 
-  f->value.function.name = gfc_get_string (PREFIX ("ftell2"));
+  f->value.function.name = gfc_get_string (PREFIX ("ftell"));
 }
 
 
Index: libgfortran/gfortran.map
===================================================================
--- libgfortran/gfortran.map	(revision 243839)
+++ libgfortran/gfortran.map	(working copy)
@@ -257,7 +257,6 @@ GFORTRAN_7 {
     _gfortran_fstat_i4_sub;
     _gfortran_fstat_i8;
     _gfortran_fstat_i8_sub;
-    _gfortran_ftell2;
     _gfortran_ftell;
     _gfortran_ftell_i1_sub;
     _gfortran_ftell_i2_sub;
Index: libgfortran/io/intrinsics.c
===================================================================
--- libgfortran/io/intrinsics.c	(revision 243826)
+++ libgfortran/io/intrinsics.c	(working copy)
@@ -272,29 +272,11 @@ gf_ftell (int unit)
 }
 
 
-/* Here is the ftell function with an incorrect return type; retained
-   due to ABI compatibility.  */
-
-extern size_t PREFIX(ftell) (int *);
+extern GFC_IO_INT PREFIX(ftell) (int *);
 export_proto_np(PREFIX(ftell));
 
-size_t
-PREFIX(ftell) (int * unit)
-{
-  return gf_ftell (*unit);
-}
-
-
-/* Here is the ftell function with the correct return type, ensuring
-   that large files can be supported as long as the target supports
-   large integers; as of 4.8 the FTELL intrinsic function will call
-   this one instead of the old ftell above.  */
-
-extern GFC_IO_INT PREFIX(ftell2) (int *);
-export_proto_np(PREFIX(ftell2));
-
 GFC_IO_INT
-PREFIX(ftell2) (int * unit)
+PREFIX(ftell) (int * unit)
 {
   return gf_ftell (*unit);
 }
